/*
 * HA_server.h
 *
 */

#ifndef HA_SERVER_H_
#define HA_SERVER_H_

#include "HA_config.h"

#ifdef ENABLE_JNI_FOR_ANDROID
#include <jni.h>
#endif // ENABLE_JNI_FOR_ANDROID

#include "HA_ControlObject.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifdef ENABLE_JNI_FOR_ANDROID
extern int _server_start(JNIEnv *env, jobject thiz);
extern int _server_stop(JNIEnv *env, jobject thiz);
#else
extern int _server_start();
extern int _server_stop();
#endif // ENABLE_JNI_FOR_ANDROID

#ifdef __cplusplus
}
#endif

#endif /* HA_SERVER_H_ */
